<?php
/*
Module développé par l'équipe de Magavenue. Pour plus d'informations, rendez-vous sur notre blog à l'adresse : http://magavenue.com/blog.
Pour nous contacter, merci d'utiliser le formulaire de contact sur notre blog à l'adresse : http://magavenue.com/blog.
*/
include(dirname(__FILE__).'/../../config/config.inc.php');
require_once(dirname(__FILE__).'/../../init.php');


  $maxDepth = intval(Tools::getValue('maxDepth'));
  $dhtml = Tools::getValue('dhtml');

  Configuration::updateValue('BLOCK_CATEG_MAX_DEPTH', intval($maxDepth));
  Configuration::updateValue('BLOCK_CATEG_DHTML', intval($dhtml));

  $rootCateg = Category::getRootCategory();
  $blockCategTree = $rootCateg->recurseLiteCategTree(intval(0));
// Send feed
header("Content-Type:text/xml; charset=utf-8");
echo '<?xml version="1.0" encoding="UTF-8"?>'."\n".'
<rss version="2.0">
	<channel>
		<title><![CDATA[Cat&eacute;gorie '.Configuration::get('PS_SHOP_NAME').']]></title>
		<link>http://'.htmlspecialchars($_SERVER['HTTP_HOST'], ENT_COMPAT, 'UTF-8').__PS_BASE_URI__.'</link>
		<mail>'.Configuration::get('PS_SHOP_EMAIL').'</mail>
		<generator>Magavenue</generator>
		<language>'.Language::getIsoById(intval($cookie->id_lang)).'</language><item>';

$flux_cat='<description><![CDATA[<ul class="tree"><li><a title="Accueil du magasin" href="categorie=0">Tous les produits</a></li>';
foreach ($blockCategTree['children'] as $parent)
    $flux_cat.= afficher_cat($parent);
$flux_cat.='</ul>]]></description>';
echo $flux_cat;
echo'
    </item></channel>
</rss>';

function afficher_cat($parent){
  $tree= '<li><a title="'.$parent['desc'].'" href="categorie='.$parent['id'].'">'.$parent['name'].'</a></li>';

  foreach($parent['children'] as $enfant)
    $tree.= '<ul class="sous">'.afficher_cat($enfant).'</ul>';
  return htmlentities($tree);
}
?>